Summary: A GUI for several command-line debuggers.
Name: ddd
Version: 3.3.1
Release: 1
Serial: 1
Group: Development/Debuggers
Copyright: GPL
Url: http://www.gnu.org/software/ddd/
Packager: Hao Li <hli@haoli.org>
Source: ftp://ftp.gnu.org/gnu/ddd/ddd-%{version}.tar.gz
Patch0: ddd-3.3.1-gcc3.patch
BuildRoot: /var/tmp/%{name}-root

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger. DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs. You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops. DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python. DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.


%prep
%setup -q
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr
make LIBXM="-Wl,-Bstatic -lXm -Wl,-Bdynamic"	# Link to motif statically
gzip doc/*.ps


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%post
/sbin/install-info /usr/info/ddd.info.gz     /usr/info/dir
/sbin/install-info /usr/info/ddd-themes.info /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/ddd.info.gz        /usr/info/dir
    /sbin/install-info --delete /usr/info/ddd-themes.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS BUGS COPYING* CREDITS INSTALL NEWS* 
%doc NICKNAMES OPENBUGS PROBLEMS README* TIPS TODO
%doc doc
/usr/bin/*
/usr/info/*
/usr/man/man*/*
/usr/share/*


%clean
rm -rf $RPM_BUILD_ROOT

